Pregunta sobre Petfinder Listings de Wordpress:

Actualización de la API de Petfinder a V 2.0

Un usuario preguntó 👇

Hola, Hemos estado usando el plugin petfinder durante bastante tiempo y ha sido un gran beneficio. Recibimos un par de correos electrónicos de Petfinder que decían que habían actualizado la API a V 2.0 y querían preguntar si Petfinder Listings admitirá esta nueva API.

Muchas gracias, el plugin nos ha ayudado mucho a lo largo de los años. Vea abajo:

“Gracias por ser un usuario valioso de la API Petfinder. Nos complace anunciar que una nueva versión de la API, la versión 2.0, ya está disponible en https://www.petfinder.com/developers/

Deberá registrarse para obtener una nueva clave API y actualizar las aplicaciones existentes para usar la versión 2.0.

A partir del 20 de enero de 2020, Petfinder ya no admitirá versiones anteriores de la API. Le recomendamos que actualice todos sus proyectos de desarrollo a la nueva versión con suficiente antelación para evitar problemas a los usuarios.

Consulte nuestra documentación de API en https://www.petfinder.com/developers/v2/docs/ para más información. Si necesita ayuda, comuníquese con [email protected] si tiene alguna pregunta. «

Gracias, Petfinder Helpdesk Petfinder.com

(@akaalvin)

Hace 1 año, 1 mes

Intenté actualizar con una nueva clave de API hace unos días y ya no funcionará, así que tuve que volver a mi antigua clave de API. Espero que haya una respuesta sobre cómo usar la nueva API con el plugin antes del 1/20. Publique aquí si alguien conoce una solución.

(@alenczewski)

Hace 1 año, 1 mes

Yo también. Agradeceríamos cualquier actualización sobre esto.

(@ greg1usa)

hace 1 año

La autora respondió a un correo electrónico que le envié y dijo que planeaba actualizar el plugin y que estaba muy ocupada. Ella me dijo que habrá una actualización antes de la fecha límite.

(@bridgetwes)

Hace 11 meses, 4 semanas

Hola: He actualizado el plugin Petfinder Listings para usar la API Petfinder v2.0. Si tiene la clave de la versión 1.0, seguirá funcionando como después de la actualización. Una vez que haya actualizado a la versión 1.0.13, hay una configuración para su clave y secreto Petfinder API v2.0, que puede encontrar aquí: https://www.petfinder.com/developers/ (este enlace también se indica en la página de configuración de la lista de Petfinder).

Tenga en cuenta que una vez que haya configurado sus claves API v2.0, ya no se mostrará una descripción completa de su mascota. Petfinder lanza un extracto de informes de mascotas en API v2.0. Envié un correo electrónico a [email protected] para confirmar que se esperaba este comportamiento con API v2.0. Mantengo mis sitios en API v1.0 hasta que deje de funcionar porque creo que los informes de mascotas son importantes. Sin embargo, ya no puede generar claves API v1.0, por lo que si no tiene una, debe usar API v2.0, y se espera que v1.0 deje de funcionar en enero de 2020. Llame envíe un correo electrónico a @ petfinder.com y pídales que devuelvan el informe completo de mascotas en API v2.0. Incluí un enlace a la mascota en Petfinder después del informe abreviado, pero eso parece una molestia para sus posibles adoptantes.

(@pentechcoach)

Hace 11 meses, 2 semanas

Estoy trabajando en un nuevo sitio web, así que no tengo una clave v 1.0. Tengo el plugin instalado y todo instalado correctamente. Cuando presiono Guardar cambios, todos los campos se llenan con «Y», si selecciono «Desarrollado por Petfinder».

Si no selecciono todos los campos no se llenan con «N».

Si no selecciono ninguno de los dos, los campos se ordenan según la última opción seleccionada.

Estoy ejecutando WP 5.3.1, tema Divi

Muchas gracias por tu ayuda.

(@bridgetwes)

Hace 11 meses, 2 semanas

Hola @pentechcoach: ¿puedes vincular a una captura de pantalla (puedes compartir con él https://snipboard.io/) de los campos rellenados con «Y» y «N»? No sigo su descripción de lo que está sucediendo. Además, ¿podría probar uno de los temas de WordPress, TwentyTwenty o TwentyNineteen para ver si cambia el comportamiento que está viendo?

(@pentechcoach)

Hace 11 meses, 2 semanas

Hola, gracias por volver a verme tan rápido. Aprecio tu ayuda.

La imagen está aquí https://snipboard.io/fW2xHp.jpg

Para cambiar a otro tema, necesito clonar el sistema primero, tal como se usa.

También noté que cuando moví la API de la versión 1 a la 2 en un sitio diferente que conservo, el widget para mascotas dejó de funcionar, así que volví a la versión 1.

¿Hay quizás algún sitio en Petfinder que no haya configurado correctamente?

También obtendré una captura de pantalla allí.

¡Gracias de nuevo!

(@bridgetwes)

Hace 11 meses, 2 semanas

Eso es realmente extraño. Si puede clonar, intente también deshabilitar todos los demás plugins para averiguar qué otro plugin es. ¿Dónde estás alojando?

Para el otro sitio, ¿ha intentado restablecer / cambiar el widget para mascotas destacado, o eliminar y restaurar el widget?

(@pentechcoach)

Hace 11 meses, 2 semanas

Hola Bridget –

De acuerdo, clonaré y deshabilitaré todo menos Petfinder Listings y veré si funciona. Estamos hospedando Liquid Web LLC; nunca he trabajado con esa empresa. Solicité un clon para un experimento de nuestro administrador.

En el otro sitio no realicé ninguna depuración, volví a la v1 porque funciona bien. Estoy muy ocupado montando un nuevo grupo de rescate, así que alguien tiene que esperar.

Te mantendré en el correo. ¡Gracias de nuevo!

(@pentechcoach)

Hace 11 meses, 2 semanas

Hola Bridget –

Nuestros administradores de sistemas hicieron lo que sugirió y quería compartir esto …

Realmente no creo que sea un problema de enchufe. Hice una copia de seguridad de la base de datos y luego desactivé todos los plugins. Luego intenté cambiar la configuración sin suerte.

Estoy revisando los registros de errores y esto es lo que obtengo. ¿Puede reenviar esto al desarrollador, por favor?

[14-Dec-2019 13:40:00 UTC] Advertencia de PHP: array_key_exists () espera la matriz del parámetro 2, cable proporcionado en /home/teddy12/public_html/wp-content/plugins/petfinder-listings/petfinder-listings.php en línea 628
[14-Dec-2019 13:40:00 UTC] Advertencia de PHP: ‘apikey’ compensó el cable ilegal en /home/teddy12/public_html/wp-content/plugins/petfinder-listings/featuredpet-widget.php en línea 131
[14-Dec-2019 13:40:00 UTC] Advertencia de PHP: desplazamiento ilegal de cadena ‘Shelter_id’ en /home/teddy12/public_html/wp-content/plugins/petfinder-listings/featuredpet-widget.php en línea 131

¡De nuevo, gracias por tu ayuda!

(@lisatcr)

Hace 11 meses, 2 semanas

¡Hola! Tengo el mismo problema con pentechcoach donde los primeros 4 campos hacen la configuración de Autocompletar con «Y» y no mantienen ningún valor ingresado. Agregué este atajo [shelter_list shelter_id=”NJ736″ count=200 include_info=”no”] en una página de WP. Cuando se hizo una vista previa, transmitió este mensaje: Petfinder está caído en este momento. Vuelva a consultar en breve. Código de error devuelto: 300 Gracias por cualquier ayuda que pueda brindar. ¡Nos encanta este plugin!

(@bridgetwes)

Hace 11 meses, 2 semanas

Ah, tengo la pregunta. Gracias por ayudarnos a depurar esto. Estaba trabajando / probando en sitios donde la configuración ya estaba guardada, y me perdí este problema que ocurre si guarda la configuración por primera vez. Si actualiza a la última versión del plugin, ahora debería poder guardar su configuración.

(@lisatcr)

Hace 11 meses, 2 semanas

Hola Bridget, ¡Muchas gracias por tu rápida respuesta! ¡Me alegra decir que el widget de mascotas parece estar funcionando ahora! Desafortunadamente, la página de WP con el acceso directo [shelter_list shelter_id=”NJ736″ count=200 include_info=”no”] Este mensaje ahora muestra: No hay mascotas disponibles en este momento. ¡Gracias de nuevo!

(@bridgetwes)

Hace 11 meses, 2 semanas

Hola @lisatcr: los errores de Petfinder son similares si configura el recuento en más de 100. Pruebe:

[shelter_list shelter_id="NJ736" count=50 include_info="no" ]

Tengo una mascota con ese atajo que comienza con gatos llamados «Drifter» y «Trickster»

(@lisatcr)

Hace 11 meses, 2 semanas

Interesante. Fill 200 funciona perfectamente en el «sitio antiguo»: http://www.trentoncats.org/our-adoptable-cats/ utilizando la antigua API.

Casi nunca tenemos menos de 100 gatos admisibles. No creo que el rescate sea muy feliz si no podemos mostrarlos a todos. ¿Quizás podríamos hacer algo con una página?

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *